Package com.clickhouse.jdbc.parser

# Enum LanguageType

java.lang.Object
java.lang.Enum<LanguageType>
com.clickhouse.jdbc.parser.LanguageType

All Implemented Interfaces:
  `Serializable`, `Comparable<LanguageType>`, `java.lang.constant.Constable`

@Deprecated public enum LanguageType extends Enum<LanguageType>
Deprecated.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DCL`
Deprecated.
`DDL`
Deprecated.
`DML`
Deprecated.
`TCL`
Deprecated.
`UNKNOWN`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static LanguageType`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this type with the specified name.
`static LanguageType[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final LanguageType UNKNOWN
Deprecated.

### DCL

public static final LanguageType DCL
Deprecated.

### DDL

public static final LanguageType DDL
Deprecated.

### DML

public static final LanguageType DML
Deprecated.

### TCL

public static final LanguageType TCL
Deprecated.

## Method Details

### values

public static LanguageType[] values()
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LanguageType valueOf(String name)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null